import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/api/webapp/${url}`, ...arg)
/**
 * 菜单
 *
 * @author yubaoshan
 * @date 2022-09-22 22:33:20
 */
export default {
	// 查询帖子列表接口
	forumList(data) {
		return request('forum/postinfo/page', data, 'get')
	},
	// 查询分类列表接口
	forumTypeList(data) {
		return request('forum/posttype/list', data, 'get')
	},
	// 发帖接口 // 编辑帖子接口
	submitForm(data, edit = false) {
		return request(`forum/postinfo/${edit ? 'edit' : 'add'}`, data)
	},
	// 帖子详情接口
	forumTypeDetail(data) {
		return request('forum/postinfo/detail', data, 'get')
	},
	// 点赞接口 // 取消点赞接口
	postlikeSubmit(data, isLike = 0) {
		return request(`forum/postlike/${isLike == 0 ? 'add' : 'cancel'}`, data)
	},
	// 回复帖子接口 //编辑回复
	submitPostreply(data, edit = false) {
		return request(`forum/postreply/${edit ? 'edit' : 'add'}`, data)
	},
	// 举报帖子接口
	reportinfoAdd(data) {
		return request('forum/reportinfo/add', data)
	},
	// 删除自己回复接口
	postreplyDel(data) {
		return request('forum/postreply/delete', data)
	},
	// 扩展帖子列表，1.查询我发布的 2.查询我回复的 3.查询关于我的 4.查询我点赞的
	moreList(data) {
		return request('forum/postinfo/moreList', data, 'get')
	},
	// 扩展帖子列表，1.查询我发布的 2.查询我回复的 3.查询关于我的 4.查询我点赞的
	allUserList(data) {
		return request('sys/user/allList', data, 'get')
	}
}
